Windows Version

1. Overview
2. Directory Structure
3. How to Use

- To view multiple pictures
- To view pictures in various formats
- To view with a background
- To output the C language source file

4. Description of Each File

- autoview.exe
- trans.exe
- texview.exe
- image64
- texprev.bat
- texv.n64
- tvBMP.dll
- tvRGB.dll

5. Control via the NINTENDO64
6. File Formats Output by the Converter

- .tvd files
- .bin files

Revision History

- 990311: RLE-compressed SGI image can be displayed.
- 990311: Files with the extension .rgba can be displayed.
- 990305: Regarding BG, -w and -h are disabled.
- 990217: Width and height can be specified.

1. Overview

> This application is a tool for viewing images on the Nintendo® 64. You can view the same image in varying formats and bit depths. The following image formats are presently supported:
> - CITextureEditor project files (.tpf)
> - SGI image format, provided it is a RGB 3 channel or RGBA 4 channel image that is not RLE compressed (.sgi .rgb)
> - Windows bit map, provided it is a 1bit, 4bit, 8bit, 24bit image that is not RLE compressed.(.bmp .dib)
> - As an overall restriction, the width and height must be no more than 1024 dots, and the file output by the converter must be no larger than 2MB. Also note that the operation of YUV output cannot be guaranteed.

Index

2. Directory Structure

> MultiTextureViewer

> ---

> /src

> ---
> (texv.n64 source)
> |-

> /exe

> ---
> autoview.exe
> |-
> trans.exe
> |-
> texview.exe
> |-
> image64.dll
> |-
> texprev.bat
> |-
> texv.n64
> |-

> /plugin

> ---
> tvBMP.dll
> |-
> tvRGB.dll

Index

3. How to Use

> To view multiple pictures
> To view pictures in various formats
> To view with a background
> To output the C language source file
> To view multiple pictures
> - Use autoview.exe
>   For example, in order to view image1.rgb,image2.bmp image3.sgi image4.tpf all at the same time, from the command line execute
>   >autoview image1.rgb image2.bmp image3.sgi image4.tpf
>   to create the file out.bin and then execute
>   >nload texv.n64
>   >nload -s0x400000 out.bin
>   When this is done, you can view the images using IS-Viewer.
>   It is useful to put this all in a batch file.
> To view pictures in various formats
> - Use trans.exe and texview.exe
>   For example, if you want to view image1.rgb with a 256 color index and image2.bmp with 256 Intensity, then execute
>   >trans -s 8 -f CI -t C image1.rgb
>   >trans -s 8 -f I image2.bmp
>   This creates the files image1.tvd and image2.tvd. You then execute
>   >texview image1 image2
>   in order to create an out.bin file with the above format. Now you can execute
>   >nload texv.n64
>   >nload -s0x400000 out.bin
>   so you can view the images with IS-Viewer.
> When you want to view with a background
> - Use the -B option when you want to give the picture background attributes. The background image available for use as an example is bg.rgb
>   If you are using autoview.exe, then execute
>   >autoview image1.rgb image2.bmp image3.sgi image4.tpf -B bg.rgb
>   If you are using trans.exe and texview.exe, then execute
>   >trans -s 16 -f IA -B bg.rgb
>   to output a bg.tvd file, after which you execute
>   >texview image1 image2 bg
>   to create the out.bin file. The rest of the procedure is as described above.
> When you want to output the C language source file
> - Use trans.exe. Use the -o option to specify an appropriate name for the output file. Execute
>   >trans -s 16 -f RGBA -o image1.c image1.rgb
>   to create a C language source file image1.c.
>   If you describe image1.h after the -o option, the file can be output in C language header file format.
>   However, the output file basically can only be used with LoadTextureTile.

Index

4. Description of each file

> autoview.exe
> trans.exe
> texview.exe
> image64
> texprev.bat
> texv.n64
> tvBMP.dll
> tvRGB.dll

autoview.exe

Converts multiple image files into a format that can be viewed with Nintendo 64.
Since trans.exe and texview.exe are called internally,
these two files must be in the same folder.
Syntax
autoview [-(/)Options] image Files

Options

-s | Size/Pixel | Bit size per pixel. Specify either 4, 8, 16 or 32. The default is normally 16, but this will change depending on the format. For example, the default is 8 in the case of CI and I.
-f | Format | The format of the image. Specify either RGBA, YUV, IA, I or CI. The default is RGBA.
-t | TLUT | The palette type. Specify either C or I. C is G_TT_RGBA16. I is G_TT_IA16. The default is C.
-o | FileName | The name of the output file. If no extension is specified, then .bin will be automatically appended. The default file name is out.bin.
-B | ImageFile | Attaches background attribute to the specified image file.

- Cautions on usage

- There is no set order for these options, but the image file must always be specified at the very end.
  The image files do not have to all be the same size, but they end up being converted to the same format and size. Also, .tvd files are created temporarily and then deleted after execution.

Example

- >autoview -s 16 -f RGBA test.rgb
- test.rgb is displayed in RGBA16bit format.

>autoview -s 8 -f CI -t I -B back.bmp image.rgb

- image.rgb is displayed with an 8bit Color Index and IA16 palette. back.bmp is converted to the same, but it can only be displayed as background.

>autoview -s 4 -f CI -o abc image.rgb -B back1.bmp char1.tpf -B back2.bmp

- The specified image file is converted to a 4 bit Color Index and RGBA16 palette. back1.bmp, back2.bmp are converted as backgrounds. The converted data is output to the file abc.bin

trans.exe

- Converts images so they can be seen on the Nintendo 64.
  However, the output files (.tvd files) must be integrated using texview.exe
  The files can also be output in C language source format.
  Syntax
  >trans [-(/)Options] image Files
- Options

- -s | Size/Pixel | Bit size per pixel. Specify either 4, 8, 16 or 32. The default is 32, but this will change depending on the format. For example, IA is 16 and I is 8.
  -f | Format | The format of the image. Specify either RGBA, YUV, IA, I or CI. The default is RGBA.
  -t | TLUT | The palette type. Specify either C or I. C is G_TT_RGBA16. I is G_TT_IA16. The default is C.
  -o | FileName | The name of the output file. If no extension is specified, then .tvd will be automatically appended. The default name is the base name of the initially specified image file with the .tvd extension appended. Appending either .c .cpp or .h as the extension will output the file in C language source format.
  -w | Width | When this option is specified, the image will be divided horizontally at the specified width.
  -h | Height | When this option is specified, the image will be divided vertically at the specified height.
  -B | Attaches background attribute to all specified image files.
  -p | When CI is specified for the -f option, then specification of the -p option will create a single palette from all the images. If CI is not specified, then one palette will be created for each separate image.

Cautions on Usage

- There is no set order for these options, but the image files must always be specified at the very end.
  All images must be the same size.

Example

- >trans -s 16 -f RGBA test.rgb
- test.rgb is displayed in RGBA 16bit format

>trans -s 8 -f CI -t I image.rgb

- image.rgb is displayed with an 8bit Color Index and IA16 palette.

>trans -s 8 -f CI -B -o abc image.rgb

- image.rgb is displayed with an 8bit Color Index and RGBA16 palette.
  This image can be displayed only as background.
  The converted data is output to the file abc.tvd

>trans -s 16 -f RGBA -o def image0.rgb image1.rgb image2.sgi

- The three images image0.rgb image1.rgb image2.rgb are all converted to RGBA16.
  Three sets of texture data are put in the created file def.tvd
  All three images must have the same width and height.

>trans -s 16 -f RGBA -w 80 -h 40 image.rgb

- If the size of image.rgb is 320x240 dots, then these -w and -h option settings will create 24 80x40 dot textures.

>trans -s 16 -f RGBA -w 80 -h 40 -o src.h image.rgb

- After the above conversion is performed, the data is output in C language source format to the file src.h

texview.exe

- Integrates the files converted by trans into a file that can be loaded with nload on Nintendo 64.
  Syntax
  >texview [-o FileName] Filenames ...
- Option

- -o | FileName | The name of the output file. If no extension is specified, then .bin will be appended automatically. The default file name is out.bin.

image64.dll

- The dll which provides the option to convert the image into a format that can be displayed on the Nintendo 64.

texprev.bat

- The batch file for viewing images.
  Please rewrite this batch file to match the mode of the images you want to view.
  The .bin file output by autoview.exe and texview.exe
  must be loaded with nload into address 0x400000.

texv.n64

- The Texture Viewer's program for the Nintendo 64.

tvBMP.dll

- The plug-in for Windows bit map conversion.

tvRGB.dll

- The plug-in for SGI image conversion.

Index

5. Control via the Nintendo 64

> When the menu is not displayed

> - A Button, B Button |  | Switches textures.
>   C Buttons |  | Move the texture horizontally and vertically. The speed is doubled if you keep the Z Button pressed down.
>   Control Stick |  | Tilts the texture horizontally and vertically. Keep the Z Button pressed down to move the texture forward and backward.
>   Control Pad |  | Changes the speed at which the texture tilts but the speed forward and backward does not change.
>   R Button |  | Returns texture to its original position.
>   Start Button |  | Displays the menu.
>   L Button |  | Toggles to show/hide the texture name.

> When the menu is displayed

> - A Button, B Button |  | Switches item contents. The same switching can be done with the Z Button. If the cursor is on the color settings, the color value can be increased or decreased one at a time.
>   C Button |  | Not used.
>   Control Stick |  | Moves the cursor. If the cursor is on the color settings, while pushing the Z Button, manipulating the Control Stick will increase or decrease the color value. Changing speed is faster with UP/DOWN than with LEFT/RIGHT.
>   Control Pad |  | Not used.
>   R Button |  | Not used.
>   Start button |  | Quits the menu.
>   L Button |  | Not used.

> The Menu

> - COMBINE | For setting the color combiner mode Can choose DECAL, PRIMITIVE or BLENDPE
>   BLENDER | For setting the render mode Can choose OPA_SURF, XLU_SURF or TEX_EDGE
>   FILTER | For setting the texture filter Can choose POINT, BILERP or AVERAGE
>   TASKBAR | For setting the display of the task bar Can choose ON or OFF
>   BG | For switching the background Can choose to read in a background or set it to OFF
>   BG COLOR | For switching the background color Can set from a range of 0 to 225 for each element.
>   PRIMITIVE COLOR | For switching the primitive colors. Can set from a range of 0 to 225 for each element.
>   ENV COLOR | For switching the environment color Can set from a range of 0 to 225 for each element.